Bug 1163582 (CVE-2014-8712, CVE-2014-8713) - CVE-2014-8712 CVE-2014-8713 wireshark: NCP dissector crashes (wnpa-sec-2014-22)
Summary: CVE-2014-8712 CVE-2014-8713 wireshark: NCP dissector crashes (wnpa-sec-2014-22)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8712, CVE-2014-8713
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1163585 1208005 1245763
Blocks: 1163586 1210268
TreeView+ depends on / blocked
 
Reported: 2014-11-13 04:27 UTC by Murray McAllister
Modified: 2019-09-29 13:23 UTC (History)
6 users (show)

Fixed In Version: wireshark 1.12.2, wireshark 1.10.11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-20 04:46:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1460 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-07-21 14:14:59 UTC
Red Hat Product Errata RHSA-2015:2393 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-11-19 11:03:11 UTC

Description Murray McAllister 2014-11-13 04:27:33 UTC
It was reported that Wireshark's NCP dissector could crash. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This is reported to affect Wireshark versions 1.12.0 to 1.12.1, and 1.10.0 to 1.10.10. It is fixed in versions 1.12.2 and 1.10.11.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10552
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10628

The version of Wireshark in Red Hat Enterprise Linux 5 and 6 is older than 1.10.x, and may not be affected. The version of Wireshark in Red Hat Enterprise Linux 7 is affected.

External References:

https://www.wireshark.org/security/wnpa-sec-2014-22.html

Comment 1 Murray McAllister 2014-11-13 04:32:35 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1163585]

Comment 3 Fedora Update System 2014-12-04 06:22:09 UTC
wireshark-1.10.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Siddharth Sharma 2015-01-15 05:51:52 UTC
Analysis
========

CVE-2014-8712

In the code of Wireshark's NCP dissector the uninitialized value of buffer[0] in function build_expert_data causes crash.

CVE-2014-8713

In the code of Wireshark's NCP dissector at the line

uni_to_string(get_finfo_value_string(PTREE_FINFO(tree_pointer)), get_finfo_length(PTREE_FINFO(tree_pointer)), buffer);

size of buffer is not verified as returned by the function get_finfo_length(PTREE_FINFO(tree_pointer) before writing into buffer, in case where values get_finfo_length() is large would cause buffer overflow.

Comment 12 errata-xmlrpc 2015-07-22 07:23:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1460 https://rhn.redhat.com/errata/RHSA-2015-1460.html

Comment 19 errata-xmlrpc 2015-11-19 12:36:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2393 https://rhn.redhat.com/errata/RHSA-2015-2393.html

Comment 20 Huzaifa S. Sidhpurwala 2015-11-20 04:46:13 UTC
Statement:

This issue affects the verison of wireshark as shipped with Red Hat Enterprsie Linux 5. Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates.


Note You need to log in before you can comment on or make changes to this bug.